package com.bcxin.ars.dto;

import com.bcxin.ars.model.task.Task;

/**
 * 发票搜索类
 * @author Ethan
 */
public class InvoiceSearchDto extends SearchDto<Task> {

	/**
	 * 单位名称
	 */
	private String companyname;

	/**
	 * 电话
	 */
	private Long tel;

	/**
	 * 纳税人识别号
	 */
	private String taxnumber;

	/**
	 * 开户银行
	 */
	private String bank;

	/**
	 * 注册地址
	 */
	private String register;

	/**
	 * 银行帐号
	 */
	private String bankaccount;

	/**
	 * 寄送地址
	 */
	private String sendaddress;

	/**
	 * 税务登记证
	 */
	private String certificate;

	/**
	 * 营业执照副本
	 */
	private String businesslicense;

	/**
	 * 一般人纳税证明
	 */
	private String taxprove;

	/**
	 * 增值税授权委托书
	 */
	private String proxy;

	/**
	 * 银行开户许可证
	 */
	private String licence;

	public String getCompanyname() {
		return companyname;
	}

	public void setCompanyname(String companyname) {
		this.companyname = companyname;
	}

	public Long getTel() {
		return tel;
	}

	public void setTel(Long tel) {
		this.tel = tel;
	}

	public String getTaxnumber() {
		return taxnumber;
	}

	public void setTaxnumber(String taxnumber) {
		this.taxnumber = taxnumber;
	}

	public String getBank() {
		return bank;
	}

	public void setBank(String bank) {
		this.bank = bank;
	}

	public String getRegister() {
		return register;
	}

	public void setRegister(String register) {
		this.register = register;
	}

	public String getBankaccount() {
		return bankaccount;
	}

	public void setBankaccount(String bankaccount) {
		this.bankaccount = bankaccount;
	}

	public String getSendaddress() {
		return sendaddress;
	}

	public void setSendaddress(String sendaddress) {
		this.sendaddress = sendaddress;
	}

	public String getCertificate() {
		return certificate;
	}

	public void setCertificate(String certificate) {
		this.certificate = certificate;
	}

	public String getBusinesslicense() {
		return businesslicense;
	}

	public void setBusinesslicense(String businesslicense) {
		this.businesslicense = businesslicense;
	}

	public String getTaxprove() {
		return taxprove;
	}

	public void setTaxprove(String taxprove) {
		this.taxprove = taxprove;
	}

	public String getProxy() {
		return proxy;
	}

	public void setProxy(String proxy) {
		this.proxy = proxy;
	}

	public String getLicence() {
		return licence;
	}

	public void setLicence(String licence) {
		this.licence = licence;
	}
	
	
}
